package org.netkernel.layer0.meta.impl;

import org.netkernel.container.IMessages;
import org.netkernel.layer0.bnf.BNFGrammarFactory;
import org.netkernel.layer0.bnf.IGrammarGroup;
import org.netkernel.layer0.meta.IEndpointArgumentMeta;
import org.netkernel.request.IRequest;


public class TransreptorMetaBuilder extends EndpointMetaBuilder
{
	public TransreptorMetaBuilder(Class[] aFrom, Class[] aTo)
	{
		setVerbs(IRequest.VERB_TRANSREPT);
		for (int i=0; i<aTo.length; i++)
		{	addResponseClass(aTo[i]);
		}
		
		IEndpointArgumentMeta arg= new EndpointArgumentMetaImpl(IEndpointArgumentMeta.PRIMARY_PART,null,null,null,null,false,aFrom);
		addArgument(arg);
		IGrammarGroup root=BNFGrammarFactory.createGroup(null);
		BNFGrammarFactory.createRegex(root, BNFGrammarFactory.BUILTIN_ANYTHING);
		setGrammarRoot(root);		
	}
}