package org.netkernel.layer0.util;

import java.io.IOException;
import java.io.OutputStream;

/*
 * A null output stream - discards all input.
 */
public class NullOutputStream extends OutputStream
{	
	@Override
	public void close() throws IOException
	{
	}

	@Override
	public void flush() throws IOException
	{
	}

	@Override
	public void write(byte[] b, int off, int len) throws IOException
	{
	}

	@Override
	public void write(byte[] b) throws IOException
	{
	}

	@Override
	public void write(int b) throws IOException
	{
	}			
}